%define pkgversion 1.8.3
%if "%{_vendor}" == "suse"
%define apacheconfdir  %{_sysconfdir}/apache2/conf.d
%define apacheuser wwwrun
%define apachegroup www
BuildRequires:	apache2

%endif
%if "%{_vendor}" == "redhat"
%define apacheconfdir  %{_sysconfdir}/httpd/conf.d
%define apacheuser apache
%define apachegroup apache
BuildRequires:	httpd
%endif

Summary:	Open Source host, service and network monitoring Web UI 
Name:		icinga-web
Version:	1.8.3
Release:	1.3
License:	GPL
Group:		Applications/System
URL:		http://www.icinga.org/

Source0:	icinga-web-%{pkgversion}.tar.bz2
Source1:	icinga-web-rpmlintrc
Patch0:		icinga-web-1.6.2-apacheconfig-install.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	php >= 5.2.3 php-pear php-gd php-xml php-ldap php-pdo php-dom php-spl php-xsl php-mysql php-sockets php-json pcre >= 7.6 
BuildRequires:	mysql-client
BuildRequires:	phing

Requires: php >= 5.2.3
Requires: php-pear
Requires: php-gd
Requires: php-xml
Requires: php-ldap
Requires: php-pdo
Requires: php-dom
Requires: php-spl
Requires: php-xsl
Requires: php-mysql
Requires: php-sockets
Requires: php-json
Requires: pcre >= 7.6
Requires: mysql-client
Requires: python
Requires: perl
AutoReqProv: off
BuildArch: noarch
##############################
%description
Icinga Webinterface for Icinga Core, requires Icinga API.

##############################
%prep
##############################

%setup -q -n %{name}-%{pkgversion}
%patch0

##############################
%build
##############################

# before we start, make sure that $(MAKE) fix-priv fix-libs will be kicked out
# we'll apply that ourselves in %post
# instead this is in make install - patch in the copying of etc/build.properties :D
%{__perl} -pi -e '
	s|\$\(MAKE\)\sfix-priv\sfix-libs|\$\(INSTALL\) -m 664 \$\(INSTALL_OPTS\) etc\/build\.properties \$\(DESTDIR\)\$\(prefix\)\/etc\/build\.properties|;
	' Makefile.in


%configure \
    --prefix="%{_datadir}/icinga-web" \
    --datadir="%{_datadir}/icinga-web" \
    --datarootdir="%{_datadir}/icinga-web" \
    --with-web-user='%{apacheuser}' \
    --with-web-group='%{apacheuser}' \
    --with-web-apache-path='%{apacheconfdir}' \
    --with-api-cmd-file=/var/log/icinga/rw/icinga.cmd \
    --with-log-dir=/var/log/icinga/api || cat config.log

##############################
%install
##############################

%{__make} install \
    DESTDIR="%{buildroot}" \
    INSTALL_OPTS="" \
    INSTALL_OPTS_CACHE="" \
    INSTALL_OPTS_WEB="" \
    COMMAND_OPTS="" \
    INIT_OPTS=""
mkdir -p %{buildroot}%{apacheconfdir}
%{__make} install-apache-config \
    DESTDIR="%{buildroot}"
mkdir -p %{buildroot}/var/log/icinga/api

# cleanup .orig files
find %{buildroot} -name \*.orig -exec rm {} \;
##############################
%pre
##############################

#uncomment if building from git
#%{__rm} -rf %{buildroot}%{_datadir}/icinga-web/.git

##############################
%preun
##############################

#uncomment if having problems with cache dir
#%{__rm} -rf %{buildroot}%{_datadir}/icinga-web/app/cache

##############################
%post
##############################

### fix-privs taken from Makefile.in
chown -R %{apacheuser}.%{apachegroup} \
	%{_datadir}/icinga-web/app/cache \
	/var/log/icinga/api	
chmod -R 775 %{_datadir}/icinga-web/app/cache
chmod +x \
	%{_datadir}/icinga-web/bin/agavi \
	%{_datadir}/icinga-web/bin/create-rescuescheme.sh \
	%{_datadir}/icinga-web/bin/doctrinemodels.php \
	%{_datadir}/icinga-web/bin/phing \
	%{_datadir}/icinga-web/bin/testdeps.php \
	%{_datadir}/icinga-web/bin/loc-create-catalog.pl \
	%{_datadir}/icinga-web/bin/loc-create-json.sh \
	%{_datadir}/icinga-web/bin/loc-create-mo.sh \
	%{_datadir}/icinga-web/bin/loc-merge-template.sh \
	%{_datadir}/icinga-web/bin/rmtmp-files.sh

### fix-libs taken from Makefile.in
ln -fs %{_datadir}/icinga-web/lib %{_datadir}/icinga-web/pub/js
ln -fs %{_datadir}/icinga/icinga-api %{_datadir}/icinga-web/lib/


##############################
%files
##############################
%defattr(755,root,root)
%config %{apacheconfdir}/icinga-web.conf
%dir %{_datadir}/icinga-web
%dir %{_datadir}/icinga-web/app
%dir %{_datadir}/icinga-web/app/cache
%dir %{_datadir}/icinga-web/app/cache/config
%dir %{_datadir}/icinga-web/app/config
%dir %attr(-,icinga,icinga) /var/log/icinga
%dir /var/log/icinga/api
%config %{_datadir}/icinga-web/app/config/cronks.xml
%config %{_datadir}/icinga-web/app/config/css.xml
%config %{_datadir}/icinga-web/app/config/javascript.xml
%config %{_datadir}/icinga-web/app/config/menu.xml
%config %{_datadir}/icinga-web/app/config/action_filters.xml
%config %{_datadir}/icinga-web/app/config/autoload.xml
%config %{_datadir}/icinga-web/app/config/compile.xml
%config %{_datadir}/icinga-web/app/config/config_handlers.xml
%config %{_datadir}/icinga-web/app/config/databases.xml
%config %{_datadir}/icinga-web/app/config/factories.xml
%config %{_datadir}/icinga-web/app/config/global_filters.xml
%config %{_datadir}/icinga-web/app/config/icinga.xml
%config %{_datadir}/icinga-web/app/config/logging.xml
%config %{_datadir}/icinga-web/app/config/output_types.xml
%config %{_datadir}/icinga-web/app/config/rbac_definitions.xml
%config %{_datadir}/icinga-web/app/config/routing.xml
%config %{_datadir}/icinga-web/app/config/schedules.xml
%config %{_datadir}/icinga-web/app/config/settings.xml
%config %{_datadir}/icinga-web/app/config/translation.xml
%config %{_datadir}/icinga-web/app/config/validators.xml
%config %{_datadir}/icinga-web/app/config/routing.modules.xml
%{_datadir}/icinga-web/app/data
%{_datadir}/icinga-web/app/lib
%{_datadir}/icinga-web/app/modules
%{_datadir}/icinga-web/app/templates
%{_datadir}/icinga-web/app/config.php
%{_datadir}/icinga-web/bin
%{_datadir}/icinga-web/etc
%config(noreplace) %{_datadir}/icinga-web/etc/conf.d/*.xml
%{_datadir}/icinga-web/doc
%{_datadir}/icinga-web/lib
%{_datadir}/icinga-web/pub

%changelog
* Wed May  1 2013 cs@linux-administrator.com
- update to release 1.8.3
* Wed Feb 13 2013 cs@linux-administrator.com
- update to release 1.8.2
* Sun Oct 21 2012 cs@linux-administrator.com
- update to release 1.8.0
* Tue Jun 19 2012 cs@linux-administrator.com
- update to release 1.7.1
* Tue May 15 2012 cs@linux-administrator.com
- update to release 1.7.0
* Thu Mar  1 2012 cs@linux-administrator.com
- update to release 1.6.2
* Fri Dec 23 2011 cs@linux-administrator.com
- update to release 1.6.1
* Fri Dec  2 2011 cs@linux-administrator.com
- update to release 1.6.0
* Mon Sep 26 2011 cs@linux-administrator.com
- update to release 1.5.2
* Fri Sep  9 2011 cs@linux-administrator.com
- update to release 1.5.1
* Thu Aug 25 2011 cs@linux-administrator.com
- update to release 1.5.0
* Mon Aug 15 2011 cs@linux-administrator.com
- update to release 1.5.0 beta
* Mon Aug  1 2011 cs@linux-administrator.com
- fix filelist entrys for config files
* Wed Jun  8 2011 cs@linux-administrator.com
- update to release 1.4.1
* Sun May 22 2011 cs@linux-administrator.com
- update to release 1.4.0
